phpBB 3.2.2-RC1 released

General discussion of development ideas and the approaches taken in the 3.x branch of phpBB. The next feature release of phpBB 3 will be 3.3/Proteus.
Forum rules
Please do not post support questions regarding installing, updating, or upgrading phpBB 3.1. If you need support for phpBB 3.1 please visit the 3.1.x Support Forum on phpbb.com.

If you have questions regarding writing extensions please post in Extension Writers Discussion to receive proper guidance from our staff and community.
Post Reply
User avatar
Marc
Development Team Leader
Development Team Leader
Posts: 128
Joined: Thu Sep 09, 2010 11:36 am
Location: Munich, Germany

phpBB 3.2.2-RC1 released

Post by Marc » Thu Dec 28, 2017 8:54 pm

Release highlights
  • To be filled
The packages can be downloaded from our package archive. Please test the packages to the full extent, so we can have a stable final release.
The phpBB Team

User avatar
canonknipser
Registered User
Posts: 64
Joined: Mon Sep 19, 2011 4:42 am
Location: Germany

Re: phpBB 3.2.2-RC1 released

Post by canonknipser » Sat Dec 30, 2017 10:54 am

Just upgraded from 3.1.10 to 3.2.2-RC1 using the Auto-Updater - only the long list of files to be deleted from the old installation was a little annoying.
Didn't catch all files in the first run, so after uploading the archive with new and changed files and pressing "Check again" a new list appeared.
A little disturbing was that in the next step a empty archive of changed and new files was created - maybe those empty archives can be skipped because they may lead to irritations for non-experienced admins.

Edit:

small bug: https://tracker.phpbb.com/browse/PHPBB3-15489
Greetings
Frank
phpbb.de support team member - no support via PM or mail
English is not my native language
Extensions and scripts for phpBB

User avatar
3Di
Registered User
Posts: 698
Joined: Tue Nov 01, 2005 9:50 pm
Location: Milano (I) Frankfurt (D)
Contact:

Re: phpBB 3.2.2-RC1 released

Post by 3Di » Fri Jan 05, 2018 5:38 am

Notable changes
Minimum expected PHP version 5.4.7 - Due to changes in our dependencies, the minimum expected PHP version is now PHP 5.4.7. Versions PHP 5.4.0 to 5.4.6 should still work but might cause minor issues[/list]
Does the installer check if the PHP version is 5.4.7?
Or these minor issues are undocumented and could lead to getting a lot of support requests?
Want to compensate me for my interest? Don't ask me, just do it
I'm available for custom phpBB jobs, you can PM me the details.
New: my Live Board, Extensions and Tools for phpBB - Men at works.

User avatar
kinerity
Community Team
Community Team
Posts: 23
Joined: Mon Sep 01, 2014 10:54 pm

Re: phpBB 3.2.2-RC1 released

Post by kinerity » Fri Jan 05, 2018 11:28 am

From https://www.phpbb.com/community/viewtop ... &t=2452861. This is a blocker as it has the possibility of breaking extensions.
kinerity wrote:
Fri Jan 05, 2018 5:03 am
Posted this in the ticket but it's worth mentioning here.
Was finally able to track down the code that broke this. Line 2188 in /includes/functions.php - it's from this commit.

Code: Select all

$u_action = reapply_sid($phpbb_path_helper->get_valid_page($use_page, $config['enable_mod_rewrite']), $phpbb_path_helper->is_router_used());

User avatar
Marc
Development Team Leader
Development Team Leader
Posts: 128
Joined: Thu Sep 09, 2010 11:36 am
Location: Munich, Germany

Re: phpBB 3.2.2-RC1 released

Post by Marc » Sun Jan 07, 2018 9:01 pm

3Di wrote:
Fri Jan 05, 2018 5:38 am
Notable changes
Minimum expected PHP version 5.4.7 - Due to changes in our dependencies, the minimum expected PHP version is now PHP 5.4.7. Versions PHP 5.4.0 to 5.4.6 should still work but might cause minor issues[/list]
Does the installer check if the PHP version is 5.4.7?
Or these minor issues are undocumented and could lead to getting a lot of support requests?
The installer does not force the minimum version to 5.4.0. You can see this as a suggested version. 99,9 % of users should no longer be using versions between 5.4.0 and 5.4.6.
kinerity wrote:
Fri Jan 05, 2018 11:28 am
From https://www.phpbb.com/community/viewtop ... &t=2452861. This is a blocker as it has the possibility of breaking extensions.
kinerity wrote:
Fri Jan 05, 2018 5:03 am
Posted this in the ticket but it's worth mentioning here.
Was finally able to track down the code that broke this. Line 2188 in /includes/functions.php - it's from this commit.

Code: Select all

$u_action = reapply_sid($phpbb_path_helper->get_valid_page($use_page, $config['enable_mod_rewrite']), $phpbb_path_helper->is_router_used());
Which is why the fix was merged into the final release of 3.2.2. ;)

User avatar
3Di
Registered User
Posts: 698
Joined: Tue Nov 01, 2005 9:50 pm
Location: Milano (I) Frankfurt (D)
Contact:

Re: phpBB 3.2.2-RC1 released

Post by 3Di » Sun Jan 07, 2018 11:59 pm

Well done, Marc. And the Teams/Contributors them all.

Nice to see the backport of the code for PHP7.2 in Rhea as well, helps on focusing onto 3.3.x now.
Want to compensate me for my interest? Don't ask me, just do it
I'm available for custom phpBB jobs, you can PM me the details.
New: my Live Board, Extensions and Tools for phpBB - Men at works.

Post Reply